import { withContentlayer } from 'next-contentlayer2';
import withMintelConfig from "@mintel/next-config";

import createMDX from '@next/mdx';

/** @type {import('next').NextConfig} */
const nextConfig = {
  pageExtensions: ['js', 'jsx', 'md', 'mdx', 'ts', 'tsx'],
  reactStrictMode: true,
  output: 'standalone',
  images: {
    loader: 'custom',
    loaderFile: './src/utils/imgproxy-loader.ts',
  },
  async rewrites() {
    return [
      // Umami proxy rewrite handled in app/stats/api/send/route.ts
      // Sentry relay handled in app/errors/api/relay/route.ts
    ];
  },
  async redirects() {
    return [
      {
        source: '/case-studies/klz',
        destination: '/case-studies/klz-cables',
        permanent: true,
      },
    ];
  },
};

const withMDX = createMDX({
  // Add markdown plugins here, as desired
});

export default withContentlayer(withMintelConfig(withMDX(nextConfig)));
